/**********************************************************************/
#include "std.h"
#include "megatyp.h"
#include "megacad.h"
/**********************************************************************/
char edta[32000];// Puffer fr variable Daten
/**********************************************************************/

// Hier die CallBack-Funktion - die Geisterhand
short SelPid(
        void *argptr )
{
    t_entity  *ent;

    ent = argptr;

	// Definition Drucken mit Original-Liniendicken
    if(ent->attr.pen == 1) ent->attr.wid=3; // 0.25mm -> 0.25mm
    if(ent->attr.pen == 2) ent->attr.wid=4; // 0.35mm -> 0.35mm
    if(ent->attr.pen == 3) ent->attr.wid=6; // 0.50mm -> 0.50mm
    if(ent->attr.pen == 4) ent->attr.wid=7; // 0.70mm -> 0.70mm
    
	ExChangeEntity(ent,NULL); // damit die nderung sichtbar wird
	return(0);
}

// Hier der Einstieg aus MegaCAD
short MegaMain(
        char *filename,
        char *args )
{
    t_entity ent;
    ulong    filter;
    t_mat44  ecs;

    
    filter = 0xffffffff; // Selektionskriterium -> alle Elemente erlaubt
    EntityLoop(filter,filter,SelPid,&ent,edta,&ecs,sizeof(edta));     // Schleife ber die Elemente - von hier gehts zur CallBack

    Message("!!! Zuweisen der Liniendicken ist beendet !!!","... Bereit zum Drucken mit Original-Liniendicken ...",NULL,NULL," OK ",3); // ein kurzer Gruss
    return(0); // und Tsch
}
